Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core
Class QVTOLocalValue

    java.lang.Object
      DebugElement
          org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
              org.eclipse.m2m.qvt.oml.debug.core.QVTOValue
                  org.eclipse.m2m.qvt.oml.debug.core.QVTOLocalValue

    public class QVTOLocalValue

extends QVTOValue

Nested Class Summary
`static class` | `QVTOLocalValue.LocalValue`

Constructor Summary
`QVTOLocalValue(org.eclipse.m2m.qvt.oml.debug.core.IQVTODebugTarget debugTarget, long frameID, java.lang.String[] varPath, QVTOLocalValue.LocalValue evalResult, VMFrameExecutionContext execContext)`

Method Summary
`IVariable[]` | `getVariables()`
`protected java.util.List<VMVariable>` | `requestVariables()`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.QVTOValue
`computeDetail, getReferenceTypeName, getValueString, hasVariables, isAllocated`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
`getModelIdentifier, getQVTODebugTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTOLocalValue

    public QVTOLocalValue(org.eclipse.m2m.qvt.oml.debug.core.IQVTODebugTarget debugTarget,
                          long frameID,
                          java.lang.String[] varPath,
                          QVTOLocalValue.LocalValue evalResult,
                          VMFrameExecutionContext execContext)

Method Detail

### getVariables

    public IVariable[] getVariables()
                             throws DebugException

  Overrides:
    `getVariables` in class `QVTOValue`
  Throws:
    `DebugException`

### requestVariables

    protected java.util.List<VMVariable> requestVariables()
                                                   throws DebugException

  Throws:
    `DebugException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD